Subject: Re: [PATCH 1/3] var: add support for listing the shell

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jun 2023 14:05:39 -0700

Eric Sunshine <[email-masked]> writes:

> This can be implemented more simply without a temporary file:
>
>     shpath=$(git var GIT_SHELL_PATH) &&
>     test -x "$shpath"
>
> This is safe since the exit code of the Git command is preserved
> across the `shpath=...` assignment.

Correct.  I also suspect that we want to add test_path_is_executable
helper next to test_path_is_{file,dir,missing} helpers and list it
in t/README.  One downside of your approach is that the output from
the command is only in $shpath and cannot be observed easily in the
$TRASH_DIRECTORY after the test fails, but with such a helper we can
report the problematic path when the expectation fails.

Thanks.